.SUFFIXES :
.SUFFIXES : .for .o .a
.SUFFIXES : .c   .o .a

F77		=	f77	
F77FLAGS	=	-c -f -s -V -W -N15
CCFLAGS		=	-c -O

INCDIR		=	-I include/

DEPLIBS		=	/Applications/Absoft/lib/libV77.a \
			/Applications/Absoft/lib/libU77.a
LIB		=	sao_u.olb
LIBFLGS		=	rv

all : remove library saodemo saodemo2 saodemo3 saodemo4 saodemo5 saodemo6 \
	saodemo7 saodemo8 saodemo9 saodemo10 saosample clean

.for.o:
	$(F77) $(F77FLAGS) $(INCDIR) $*.for

.for.a:
	$(F77) $(F77FLAGS) $(INCDIR) $*.for

.c.o:
	$(CC)  $(CCFLAGS) $(INCDIR) $*.c

.c.a:
	$(CC)  $(CCFLAGS) $(INCDIR) $*.c

FORFILES	=						\
			$(LIB)(alpha.o)				\
			$(LIB)(chfitsmhv.o)			\
			$(LIB)(closefits.o)			\
			$(LIB)(mac_os_ppc/dcd.o)		\
			$(LIB)(delay.o)				\
			$(LIB)(do.o)				\
			$(LIB)(dynamic.o)			\
			$(LIB)(error.o)				\
			$(LIB)(get_endian.o)			\
			$(LIB)(get_fits_info.o)			\
			$(LIB)(ibmi2.o)				\
			$(LIB)(ibmi4.o)				\
			$(LIB)(mac_os_ppc/imtoolchecksum.o)	\
			$(LIB)(inel.o)				\
			$(LIB)(kepler.o)			\
			$(LIB)(message.o)			\
			$(LIB)(mac_os_ppc/nel.o)		\
			$(LIB)(mac_os_ppc/neld.o)		\
			$(LIB)(rwfitsrow.o)			\
			$(LIB)(sao_curn.o)			\
			$(LIB)(sao_display_vect.o)		\
			$(LIB)(sao_draw.o)			\
			$(LIB)(sao_erase_cursor.o)		\
			$(LIB)(sao_load_vlt.o)			\
			$(LIB)(sao_vect.o)			\
			$(LIB)(saocaption.o)			\
			$(LIB)(saoconvlt.o)			\
			$(LIB)(saodot.o)			\
			$(LIB)(saoeras.o)			\
			$(LIB)(saofirst.o)			\
			$(LIB)(saoload.o)			\
			$(LIB)(saostart.o)			\
			$(LIB)(mac_os_ppc/save.o)		\
			$(LIB)(strkey.o)			\
			$(LIB)(mac_os_ppc/usrinp.o)

CFILES		=						\
			$(LIB)(dynamic_c.o)			\
			$(LIB)(ieeeflt.o)			\
			$(LIB)(ieeeflt64.o)			\
			$(LIB)(release_memory_c.o)		\
			$(LIB)(mac_os_ppc/si_subs.o)

remove:
			/bin/rm -f sao_u.olb

library:		$(FORFILES) $(CFILES)
			ar $(LIBFLGS) $(LIB) *.o
			rm *.o
			ar -ts $(LIB)

saodemo:		saodemo.o
			$(F77) saodemo.o	\
			$(LIB) $(DEPLIBS)	\
			-o saodemo.exe

saodemo2:		saodemo2.o
			$(F77) saodemo2.o	\
			$(LIB) $(DEPLIBS)	\
			-o saodemo2.exe

saodemo3:		saodemo3.o
			$(F77) saodemo3.o	\
			$(LIB) $(DEPLIBS)	\
			-o saodemo3.exe

saodemo4:		saodemo4.o
			$(F77) saodemo4.o	\
			$(LIB) $(DEPLIBS)	\
			-o saodemo4.exe

saodemo5:		mac_os_ppc/saodemo5.o
			$(F77) saodemo5.o	\
			$(LIB) $(DEPLIBS)	\
			-o saodemo5.exe

saodemo6:		saodemo6.o
			$(F77) saodemo6.o	\
			$(LIB) $(DEPLIBS)	\
			-o saodemo6.exe

saodemo7:		saodemo7.o
			$(F77) saodemo7.o	\
			$(LIB) $(DEPLIBS)	\
			-o saodemo7.exe

saodemo8:		saodemo8.o
			$(F77) saodemo8.o	\
			$(LIB) $(DEPLIBS)	\
			-o saodemo8.exe

saodemo9:		saodemo9.o
			$(F77) saodemo9.o	\
			$(LIB) $(DEPLIBS)	\
			-o saodemo9.exe

saodemo10:		mac_os_ppc/saodemo10.o
			$(F77) saodemo10.o	\
			$(LIB) $(DEPLIBS)	\
			-o saodemo10.exe

saosample:		saosample.o
			$(F77) saosample.o	\
			$(LIB) $(DEPLIBS)	\
			-o saosample.exe

clean:
			/bin/rm -f *.o
